import personal from './personal'
import enterprise from './enterprise'
import recruit from './recruit'
import Layout from '@/layout'
import { setLoginType } from '@/utils/loginType'

setLoginType(recruit, 'noLogin')
setLoginType(personal, 'personal')
setLoginType(enterprise, 'enterprise')

const routeArray = [
  ...recruit,
  ...personal,
  ...enterprise
]
// const items = routeArray[type]
const remainingRouter = [
  {
    path: '/login',
    component: () => import('@/views/login/index'),
    name: 'login',
    meta: {
      hidden: true,
      title: '登录/注册',
      loginType: 'noLogin'
    }
  },
  {
    path: '/userAgreement',
    component: Layout,
    name: 'userAgreement',
    children: [
      {
        path: '/userAgreement',
        component: () => import('@/views/login/components/userAgreement.vue'),
        meta: {
          title: '用户协议',
          loginType: 'noLogin'
        }
      }
    ]
  },
  {
    path: '/privacyPolicy',
    component: Layout,
    name: 'privacyPolicy',
    children: [
      {
        path: '/privacyPolicy',
        component: () => import('@/views/login/components/privacyPolicy.vue'),
        meta: {
          title: '隐私政策',
          loginType: 'noLogin'
        }
      }
    ]
  },
  {
    path: '',
    component: Layout,
    redirect: '/home',
    children: [
      {
        path: '/personal',
        redirect: '/home',
        meta: {
          title: '首页',
          loginType: 'noLogin'
        }
      },
      {
        path: '/home',
        component: () => import('@/views/Home/index'),
        meta: {
          title: '首页',
          loginType: 'noLogin'
        }
      }
    ]
  },
  {
    path: '/register',
    component: () => import('@/views/enterprise/components/register'),
    name: 'register',
    meta: {
      hidden: true,
      title: '注册企业',
      loginType: 'noLogin'
    }
  },
  ...routeArray
]

export default remainingRouter